Bug 200868 - AisleRiot Solitaire crashes upon selecting new game
AisleRiot Solitaire crashes upon selecting new game
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 01:31 EDT by Ryan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.14.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-11 13:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan 2006-08-01 01:31:17 EDT
Description of problem:
AisleRiot Solitaire crashes whenever new games are selected after a recent yum
update.
If I use the console I can start any game without any problem
For example:
$ sol --variation spider
allows me to start a different game

Version-Release number of selected component (if applicable):
AisleRiot 2.14.2

How reproducible:
Always

Steps to Reproduce:
1.yum update
2.start aisleriot   $ sol
3.In game go to select game...
4.switch to new game
5.game crashes and quits
  
Actual results:
AisleRiot shuts down after switching game type.
Error output
[ryan@localhost ~]$ sol
Backtrace:
In /usr/share/sol-games/sol.scm:
 480: 0* (if (defined? (quote card-guardian)) (letrec (# #) (catch # # ...)) ...)
 481: 1  (while (card-guardian))
In unknown file:
   ...
   ?: 2  [catch break #<procedure #f ()> #<procedure #f v>]
   ?: 3* [#<procedure #f ()>]
   ?: 4* [continue]
   ?: 5  (or (not (card-guardian)) (begin (begin) (continue)))
   ?: 6  (begin (begin) (continue))
   ?: 7* (begin)

<unnamed port>: In procedure begin in expression (begin):
<unnamed port>: missing or extra expression



Expected results:
Should be able to swith game with out crashing.


Additional info:

Happened after yum update on 7-31-06
Comment 1 Matthias Clasen 2006-08-03 10:21:05 EDT
Do you still see this with gnome-games-2.14.3 ?
Comment 2 Pavel Šefránek 2006-08-11 13:44:06 EDT
This bug was fixed with the release of gnome-games-2.14.2.1. See #346652 at
GNOME bugzilla.
Comment 3 Ray Strode [halfline] 2006-08-11 13:57:25 EDT
great thanks.

Note You need to log in before you can comment on or make changes to this bug.